Skip to main content

Get all claims

GET 

/v1/claims

Get all claims

Request

Responses

OK

Schema
    data object[]
  • Array [
  • id integer

    ID of the claim

    pre_evaluation_id integer

    ID of the post-loss evaluation

    purchased_policy_id integer

    ID of the purchased policy

    accident_id integer

    ID of the accident type

    channel string

    Channel that created the claim

    date string

    Date of the accident

    time string

    Time of the accident

    location string

    Location of the accident

    landmark stringnullable

    Landmark of the accident

    description string

    Description of the accident

    status string

    Status of the claim

    vehicles_match boolean

    Whether the claim vehicle matches the policy vehicle

    pre_purchase_evaluation_id integernullable

    ID of the related pre-purchase evaluation, if any

    damages string[]

    Damages recorded in the vehicle

    plate_number_mismatch boolean

    Whether the claim plate number mismatches the policy vehicle

    vin_mismatch boolean

    Whether the claim VIN mismatches the policy vehicle

    form_tat stringnullable

    Claim form turnaround time

    created_at string

    Date of creation of the claim

    bank_details object

    Bank details of the user for payment

    bank_name string

    Name of the bank

    account_name string

    Name of the account

    account_number string

    Number of the account

    pre_evaluation object
    id integer

    ID of the pre-evaluation

    user_id integernullable

    ID of the user associated with the pre-evaluation

    name stringnullable

    Name of the customer

    phone stringnullable

    Phone number of the customer

    email stringnullable

    Email of the customer

    incidence_type stringnullable

    Incidence type

    third_party_damage_type stringnullable

    Third-party damage type

    third_party_damage_type_other stringnullable

    Other third-party damage type

    third_party_description stringnullable

    Third-party damage description

    gender stringnullable

    Gender of the customer

    chassis_number string

    Chassis number of the vehicle

    manufacturer string

    Manufacturer of the vehicle

    model string

    Model of the vehicle

    year string

    Year of manufacture of the vehicle

    color string

    Color of the vehicle

    engine_no string

    Engine number of the vehicle

    address stringnullable

    Address of the customer

    usage string

    Usage of the vehicle

    license_number string

    License number of the vehicle

    license_expiry string

    License expiry date of the vehicle

    confirmation_number stringnullable

    Confirmation number of the pre-evaluation

    vehicle_value string

    Value of the vehicle

    vehicle_value_currency string

    Currency of the vehicle value

    vehicle_type string

    Type of the vehicle

    vehicle_details object[]

    Details of the vehicle

  • Array [
  • url string

    URL of the vehicle

    side string

    Side of the vehicle

  • ]
  • vehicle_regno string

    Registration number of the vehicle

    assessment_type string

    Type of assessment

    created_at string

    Date of creation of the pre-evaluation

    ref string

    Reference of the pre-evaluation

    files object[]

    Files of the pre-evaluation

  • Array [
  • id integer

    ID of the pre-evaluation file

    pre_evaluation_id integer

    ID of the pre-evaluation

    third_party_item_id integernullable

    ID of the third-party item

    vehicle_part object

    Vehicle part metadata

    vehicle_side object

    Vehicle side metadata

    type string

    File type

    path string

    File path or URL

    processing_status string

    Processing status of the file

    result stringnullable

    Processing result

    url string

    URL of the file

    pre_processed_url stringnullable

    Pre-processed file URL

    created_at string

    Date of creation of the file

    updated_at string

    Date of last update of the file

    location objectnullable

    Capture location metadata

    annotations object[]

    Annotations for the file

    internal_damages object[]nullable

    Internal damages detected for the file

  • ]
  • ]
Loading...